Skip to content

Stream one reauthorized inspected inline image through a short-lived body handle.

POST
/api/workspace/markdown/inline-content/body
curl --request POST \
--url https://example.com/api/workspace/markdown/inline-content/body \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "BodyHandle": "example" }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Fetches a body using a short-lived opaque handle returned by resolution.

object
BodyHandle
string
nullable
Examplegenerated
{
"BodyHandle": "example"
}

Reauthorized inline image bytes using the inspected MIME type.

Media type*/*
string format: binary

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Authorized inline body response returned by the Markdown body service.

object
Content
string format: binary
nullable
DetectedMimeType
string
nullable
FileName
string
nullable
SizeBytes
integer format: int64
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}